Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.ejb.usermgmt
Interface UserManager

All Superinterfaces
  Serializable

    @ControlInterface
    public interface UserManager

extends Serializable

Remote Interface for the UserManager session bean. This is the synchronization point between user profile support and WebLogic security. Any user management operations should be done here, rather than through the security APIs directly. This class depends on the following EJB environment in the ejb deployment descriptor:

- jdbc/commercePool: a resource-ref to a TxDataSource for the commercePool database connection pool containing user profile data.
- ejb/UserProfileManager: an ejb-ref pointing to the default UserProfileManager deployment.
- ejb/ProfileType/...: any alternative profile types should have an ejb-ref entry of the form ejb/ProfileType/<profile type name> that points to the appropriate UserProfileManager for that type. These are optional, applicable only if other profile types are used.
- ReservedUserNames: an env-entry of type String containing a comma-separated list of user names (case insensitive) that are restricted: the UserManager will not create users with these names. These are optional, required only if you wish to restrict creation of any user names.
- ProtectedUserNames: an env-entry of type String containing a comma-separated list of user names (case insensitive) that cannot be deleted through the UserManager. These are optional, required only if you wish to protect user names from deletion.

Any methods that create or remove users delegate to the WebLogic provider selected by RealmHelper.getProviderMBean. If multiple providers are configured, see RealmHelper for information about which of those providers will be used.

This control requires that the UserManager EJB has been deployed to the application. The UserManager EJB is contained in p13n_ejb.jar, and is automatically deployed as part of a Portal application.

This control is deprecated as of Portal 8.1.x. Each method will note the replacement control and method to use.

Method Summary
`void` | `authenticate(String username, String password)` Deprecated Use UserInfoControl.authenticate(username, password)
`ProfileWrapper` | `createUser(String username, String password)` Deprecated As of Portal 8.1.x, use UserProviderControl.createUser(username, password)
`ProfileWrapper` | `createUserOfProfileType(String username, String password, String profileType)` Deprecated As of Portal 8.1.x, use UserProviderControl.createUserOfType(username)
`String[]` | `getProfileTypeNames()` Deprecated As of Portal 8.1.x, use ProfileControl.getProfileTypeNames() in conjunction with the UserProviderControl
`List` | `getUserNames(String searchExpression, int limit)` Deprecated As of Portal 8.1.x, use UserProviderControl.getUserNames(searchExpression, limit)
`ProfileWrapper` | `getUserProfile(String username)` Deprecated As of Portal 8.1.x, use ProfileControl.getProfileForUser(username) in conjunction with the UserProviderControl
`ProfileManager` | `getUserProfileManager(String username)` Deprecated As of Portal 8.1.x, use ProfileControl.getProfileForUser(username) in conjunction with the UserProviderControl
`void` | `removeUser(String username)` Deprecated As of Portal 8.1.x, use UserProviderControl.removeUser(username)
`void` | `setPassword(String username, String password)` Deprecated As of Portal 8.1.x, use UserProviderControl.setPassword(username, password)
`boolean` | `userExists(String username)` Deprecated As of Portal 8.1.x, use UserProviderControl.userExists(username)

Method Detail

### authenticate

    void authenticate(String username,
                      String password)
                      throws P13nControlException

  Deprecated Use UserInfoControl.authenticate(username, password)

  Authenticate a user. Throws an `AuthenticationException` if the user is not a valid user or credentials are invalid. This method is only used to verify a username and password, it does not do anything to :log in" or set the user as the "current" system user.

  Parameters
    `username` - the username for the user
    `password` - the password for the user
  Throws
    `P13nControlException` - if the user is not a valid user or credentials are incorrect

### getProfileTypeNames

    String[] getProfileTypeNames()
                                 throws P13nControlException

  Deprecated As of Portal 8.1.x, use ProfileControl.getProfileTypeNames() in conjunction with the UserProviderControl

  Return a list of profile type names that are registered with the UserManager.

  Throws
    `P13nControlException` - if remote errors accessing UserManager EJB

### getUserNames

    List getUserNames(String searchExpression,
                      int limit)
                      throws P13nControlException

  Deprecated As of Portal 8.1.x, use UserProviderControl.getUserNames(searchExpression, limit)

  Returns a List of users' names matching the search expression

  Parameters
    `searchExpression` - a wildcard search expression
    `limit` - a limit of results to return
  Throws
    `P13nControlException` - if errors accessing UserManager EJB

### getUserProfile

    ProfileWrapper getUserProfile(String username)
                                  throws P13nControlException

  Deprecated As of Portal 8.1.x, use ProfileControl.getProfileForUser(username) in conjunction with the UserProviderControl

  Get the Profile for the given user. Security constraints should restrict use of this method to administrators only.

  Parameters
    `username` - the username for the user
  Returns
    a user profile for a user
  Throws
    `P13nControlException` - if profile cannot be found

### getUserProfileManager

    ProfileManager getUserProfileManager(String username)
                                         throws P13nControlException

  Deprecated As of Portal 8.1.x, use ProfileControl.getProfileForUser(username) in conjunction with the UserProviderControl

  Returns the appropriate ProfileManager deployment for this user, based on the user's profile type. If the user exists in the realm, but does not have a profile yet, a profile will be created at this time. Security constraints should restrict use of this method to administrators only.

  Parameters
    `username` - the username for the user
  Returns
    a user profile for a user
  Throws
    `P13nControlException` - if user does not exist

### removeUser

    void removeUser(String username)
                    throws P13nControlException

  Deprecated As of Portal 8.1.x, use UserProviderControl.removeUser(username)

  Removes a user from the system. This will remove both the realm and profile records for this user.

  Parameters
    `username` - the username of the user to remove
  Throws
    `P13nControlException` - if user does not exist

### setPassword

    void setPassword(String username,
                     String password)
                     throws P13nControlException

  Deprecated As of Portal 8.1.x, use UserProviderControl.setPassword(username, password)

  Sets the password for a user in the realm. Security constraints should restrict use of this method to administrators only. A user should use changePassword to change their own password.

  Parameters
    `username` - the username of the user
    `password` - the new password for the user
  Throws
    `P13nControlException` - if the password is malformed or otherwise invalid

### userExists

    boolean userExists(String username)
                       throws P13nControlException

  Deprecated As of Portal 8.1.x, use UserProviderControl.userExists(username)

  Determines if a user exists. This method simply checks the provider for a user with the given name.

  Parameters
    `username` - the user to look for
  Returns
    true if the user exists, false if it does not
  Throws
    `P13nControlException` - if errors accessing UserManager EJB

### createUser

    ProfileWrapper createUser(String username,
                              String password)
                              throws P13nControlException

  Deprecated As of Portal 8.1.x, use UserProviderControl.createUser(username, password)

  Creates a user with the given username and password. This user will use the default UserProfileManager for profile entries.

  Parameters
    `username` - the username for the new user
    `password` - the password for the new user
  Returns
    a ProfileManager that can be used to access the new User
  Throws
    `P13nControlException` - if the username is already in use

### createUserOfProfileType

    ProfileWrapper createUserOfProfileType(String username,
                                           String password,
                                           String profileType)
                                           throws P13nControlException

  Deprecated As of Portal 8.1.x, use UserProviderControl.createUserOfType(username)

  Creates a user with a specific profile type.

  Parameters
    `username` - the username for the new user
    `password` - the password for the new user
    `profileType` - the name of the profile type for the new user
  Returns
    a ProfileWrapper that can be used to access the new User
  Throws
    `P13nControlException` - if the username is already in use

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.